Read safe events and readiness for an integration run
Returns safe event changes and Bloomerang review readiness. A supplied group_key must exactly match a server-generated group or nested dependency. With group_key results are paginated; without it available readiness returns representative group events, otherwise normal pagination defaults to 25, maximum 100. Requires the integration platform global/configured client feature gate (normally integration_platform_foundation). Requires permission: one of access_account_settings.
curl --request GET \
--url https://api.gratona.com/v1/integrations/hub/connections/{connection_id}/sync-history/{run_id}/events \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.gratona.com/v1/integrations/hub/connections/{connection_id}/sync-history/{run_id}/events"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.gratona.com/v1/integrations/hub/connections/{connection_id}/sync-history/{run_id}/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gratona.com/v1/integrations/hub/connections/{connection_id}/sync-history/{run_id}/events",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.gratona.com/v1/integrations/hub/connections/{connection_id}/sync-history/{run_id}/events"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.gratona.com/v1/integrations/hub/connections/{connection_id}/sync-history/{run_id}/events")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gratona.com/v1/integrations/hub/connections/{connection_id}/sync-history/{run_id}/events")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"status": "success",
"data": [
{
"id": 42,
"status": "Example",
"direction": "Example",
"action": "Example",
"record_type": "Example",
"hys_record_type": "Example",
"record_id": 42,
"record_label": "Example",
"record_url": "Example",
"retryable": true,
"attempts": 2,
"change_capture": "exact",
"changes": [
{
"field": "Example",
"label": "Example",
"before_present": true,
"before": "Example",
"after": "Example"
}
],
"outcome_type": "Example",
"outcome_summary": "Example",
"error_code": "Example",
"financial_context": {
"amount": "<unknown>",
"currency": "Example",
"attribution": {}
},
"occurred_at": "2023-11-07T05:31:56Z",
"processed_at": "2023-11-07T05:31:56Z",
"readiness": {
"resolution_kind": "relationship_identity",
"collision_reason": "Example",
"existing_mapping_id": 42,
"existing_provider_object_id": "Example",
"requested_hys_object_id": 42,
"group_key": "Example"
}
}
],
"meta": {
"current_page": 2,
"last_page": 2,
"per_page": 2,
"total": 2,
"from": 42,
"to": 42
},
"readiness": {
"available": true,
"message": "Example",
"run_id": 42,
"eligible": true,
"can_resume": true,
"is_fresh": true,
"configuration_matches": true,
"review_incomplete": true,
"review_superseded": true,
"review_scope_matches_automatic_import": true,
"configuration_matches_by_object_type": {},
"reviewed_at": "2023-11-07T05:31:56Z",
"fresh_until": "2023-11-07T05:31:56Z",
"reviewed_object_types": [
"<string>"
],
"ready_object_types": [
"<string>"
],
"blocked_object_types": [
"<string>"
],
"inbound_object_types": [
"<string>"
],
"object_type_readiness": {},
"counts": {
"needs_decision": 2,
"waiting": 2,
"could_not_check": 2,
"not_imported": 2,
"ready": 2
},
"blocking_count": 2,
"root_decision_count": 2,
"groups": [
{
"key": "Example",
"category": "Example",
"record_type": "Example",
"reviewed_object_type": "Example",
"error_code": "Example",
"title": "Example",
"description": "Example",
"action_label": "Example",
"action_target": "Example",
"count": 2,
"affected_count": 2,
"source_summary": {},
"target_summary": {},
"dependencies": "<array>"
}
],
"configuration_fingerprint": "Example"
}
}{
"message": "Unauthorized",
"status": "error"
}{
"message": "Not Found",
"status": "error"
}{
"errors": {},
"status": "error",
"message": "The given data was invalid."
}Authorizations
Passport bearer token authentication for legacy admin sessions.
Path Parameters
Connection id in the current organization.
Run id in the current organization.
Query Parameters
Page. Validation: nullable, integer, min:1.
x >= 1Per page. Validation: nullable, integer, min:1, max:100.
1 <= x <= 100Group key. Validation: nullable, string, max:255.
255Response
Operation result.
"success"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Bloomerang inbound preview readiness. Eligible completed/failed dry-run/import-preview reviews are assessed against current settings, object scope and a 24-hour freshness window. Other runs return available=false.
Show child attributes
Show child attributes
curl --request GET \
--url https://api.gratona.com/v1/integrations/hub/connections/{connection_id}/sync-history/{run_id}/events \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.gratona.com/v1/integrations/hub/connections/{connection_id}/sync-history/{run_id}/events"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.gratona.com/v1/integrations/hub/connections/{connection_id}/sync-history/{run_id}/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gratona.com/v1/integrations/hub/connections/{connection_id}/sync-history/{run_id}/events",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.gratona.com/v1/integrations/hub/connections/{connection_id}/sync-history/{run_id}/events"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.gratona.com/v1/integrations/hub/connections/{connection_id}/sync-history/{run_id}/events")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gratona.com/v1/integrations/hub/connections/{connection_id}/sync-history/{run_id}/events")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"status": "success",
"data": [
{
"id": 42,
"status": "Example",
"direction": "Example",
"action": "Example",
"record_type": "Example",
"hys_record_type": "Example",
"record_id": 42,
"record_label": "Example",
"record_url": "Example",
"retryable": true,
"attempts": 2,
"change_capture": "exact",
"changes": [
{
"field": "Example",
"label": "Example",
"before_present": true,
"before": "Example",
"after": "Example"
}
],
"outcome_type": "Example",
"outcome_summary": "Example",
"error_code": "Example",
"financial_context": {
"amount": "<unknown>",
"currency": "Example",
"attribution": {}
},
"occurred_at": "2023-11-07T05:31:56Z",
"processed_at": "2023-11-07T05:31:56Z",
"readiness": {
"resolution_kind": "relationship_identity",
"collision_reason": "Example",
"existing_mapping_id": 42,
"existing_provider_object_id": "Example",
"requested_hys_object_id": 42,
"group_key": "Example"
}
}
],
"meta": {
"current_page": 2,
"last_page": 2,
"per_page": 2,
"total": 2,
"from": 42,
"to": 42
},
"readiness": {
"available": true,
"message": "Example",
"run_id": 42,
"eligible": true,
"can_resume": true,
"is_fresh": true,
"configuration_matches": true,
"review_incomplete": true,
"review_superseded": true,
"review_scope_matches_automatic_import": true,
"configuration_matches_by_object_type": {},
"reviewed_at": "2023-11-07T05:31:56Z",
"fresh_until": "2023-11-07T05:31:56Z",
"reviewed_object_types": [
"<string>"
],
"ready_object_types": [
"<string>"
],
"blocked_object_types": [
"<string>"
],
"inbound_object_types": [
"<string>"
],
"object_type_readiness": {},
"counts": {
"needs_decision": 2,
"waiting": 2,
"could_not_check": 2,
"not_imported": 2,
"ready": 2
},
"blocking_count": 2,
"root_decision_count": 2,
"groups": [
{
"key": "Example",
"category": "Example",
"record_type": "Example",
"reviewed_object_type": "Example",
"error_code": "Example",
"title": "Example",
"description": "Example",
"action_label": "Example",
"action_target": "Example",
"count": 2,
"affected_count": 2,
"source_summary": {},
"target_summary": {},
"dependencies": "<array>"
}
],
"configuration_fingerprint": "Example"
}
}{
"message": "Unauthorized",
"status": "error"
}{
"message": "Not Found",
"status": "error"
}{
"errors": {},
"status": "error",
"message": "The given data was invalid."
}